Built LMS Help Center
API Reference and PlaygroundCourses and CatalogCategories

PUT Update category

Update category details

PUT
/categories/{id}

Update category details

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

id*string

Category UUID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/categories/{id}" \  -H "Content-Type: application/json" \  -d '{    "name": "Example name",    "description": "Example description",    "parent_id": "{parent_id}",    "metadata": {      "external_id": "{external_id}",      "display_order": 1,      "icon": "Example icon",      "color": "Example color",      "audience": "Example audience"    }  }'
{  "data": {    "id": "{id}",    "name": "string",    "slug": "string",    "parent_id": "{parent_id}",    "course_count": 0,    "created_at": "2019-08-24T14:15:22Z"  },  "meta": {    "organization_id": "{organization_id}",    "total": 0,    "total_count": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "requested_at": "2019-08-24T14:15:22Z"  }}